using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class ScrollUp : MonoBehaviour
{
	private ScrollRect scroll;

	public Vector3 amount;
	public float time;

	private void Awake()
	{
		scroll = GetComponent<ScrollRect>();
	}

	private void OnEnable()
	{
		iTween.Stop(gameObject);
		iTween.MoveAdd(gameObject, iTween.Hash("amount", amount, "time", time, "easetype", "linear", 
		"looptype", iTween.LoopType.none, "space", Space.Self));
	}
}